package com.kym.common.annotation;

import java.lang.annotation.*;

/**
 * @author skyline
 * @description
 * @date 2023-11-08 22:20
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface DynamicCache {
    String spel() default "";

    String value() default "";

    String key() default "";

    /**
     * 过期时间 默认5分钟
     * @return
     */
    long timeout() default 5 * 60 * 1000L;
}
